@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* todo corpo */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
  min-height: 100vh;
  background-color: #ffffff;
}

/* Menu - Navbar */
nav {
  position: fixed;
  z-index: 99;
  width: 100%;
  background: #00a69c;
}

nav .wrapper {
  position: relative;
  max-width: 1300px;
  padding: 0px 30px;
  height: 70px;
  line-height: 70px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.wrapper .logo img {
  margin-top: -10px;
  width: 200px;
}

.wrapper .nav-links {
  display: inline-flex;
  padding-top: 15px;
}

.nav-links li {
  list-style: none;
}

.nav-links li a {
  color: #ffffff;
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;
  padding: 9px 15px;
  border-radius: 5px;
  transition: all 0.3s ease;
}

.nav-links li a:hover {
  background: #f26c3b;
}

.nav-links .mobile-item {
  display: none;
}

.nav-links .drop-menu {
  position: absolute;
  background: #242526;
  width: 180px;
  line-height: 45px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
}

.nav-links li:hover .drop-menu,
.nav-links li:hover .mega-box {
  transition: all 0.3s ease;
  top: 70px;
  opacity: 1;
  visibility: visible;
}

.drop-menu li a {
  width: 100%;
  display: block;
  padding: 0 0 0 15px;
  font-weight: 400;
  border-radius: 0px;
}

.mega-box {
  position: absolute;
  left: 0;
  width: 100%;
  padding: 0 15px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
}

.mega-box .content {
  background: #ffffff;
  padding: 25px 10px;
  display: flex;
  width: 100%;
  justify-content: space-between;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
}

.mega-box .content .menus {
  width: calc(25% - 30px);
  line-height: 45px;
}

.content .menus img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.content .menus header {
  color: #f26c3b;
  font-size: 20px;
  font-weight: 600;
  margin-left: -20px;
}

.content .menus .mega-links {
  margin-left: -40px;
  border-left: 1px solid rgba(0, 0, 0, 0.215);
}

.menus .mega-links li {
  margin-left: -20px;
}

.menus .mega-links li a {
  padding: 0 10px;
  color: #000000;
  font-size: .8em;
  display: block;
}

.menus .mega-links li a:hover {
  color: #f2f2f2;
}

.wrapper .btn {
  color: #fff;
  font-size: 1.4em;
  cursor: pointer;
  display: none;
}

.wrapper .btn.close-btn {
  position: absolute;
  right: 30px;
  top: 10px;
  font-size: 1.6em;
  color: #fff;
}

.cliente a {
  font-size: .8em;
  background-color: #f26c3b;
  padding: 10px;
  border-radius: 5px;
  border: 1.5px solid #fff;
  color: #fff;
  font-weight: 600;
  text-decoration: none;
}

.cliente a:hover {
  color: #fff;
  text-decoration: none;
}

/* Rodapé */
footer {
  background-color: #000000;
  height: 300px;
}

.rodape {
  margin-top: 30px;
}

.rodape img {
  width: 200px;
  margin-top: -10px;
}

.rodape .morada {
  padding-top: 20px;
  color: #fff;
  font-size: .8em;
}

.rodape h4 {
  font-size: 18px;
  color: #ffffff;
  margin-bottom: 30px;
  font-weight: 600;
  position: relative;
}

.rodape p {
  margin-top: -10px;
}

.rodape p a {
  text-decoration: none;
  color: #fff;
  font-size: .9em;
  font-weight: 550;
}

.rodape p a:hover {
  color: #f26c3b;
}

.rodape h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  background-color: #00a69c;
  height: 5px;
  box-sizing: border-box;
  width: 30px;
}

.rodape .social-links a {
  display: inline-block;
  height: 35px;
  width: 35px;
  background-color: #f26c3b;
  margin: 0px;
  text-align: center;
  line-height: 35px;
  border-radius: 5px;
  color: #ffffff;
  transition: all 0.5s ease;
}

.rodape .social-links a:hover {
  color: #000000;
  background-color: #ffffff;
}

.baixe {
  display: flex;
}

.baixe img {
  width: 80px;
  padding-right: 5px;
  opacity: 2.9;
}

.autoria {
  border-top: 1px solid #7d908f;
  margin-top: 30px;
}

.autoria p {
  color: #FFF;
  padding-top: 20px;
  padding-bottom: 20px;
  text-align: center;
  font-size: .9em;
}

.autoria p a {
  text-decoration: none;
  color: #fff;
}

.autoria p a:hover {
  text-decoration: underline;
  color: #fff;
}

/* Entrar em contato com Whatsapp */
.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 55px;
  height: 55px;
  background-color: #25d366;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  border: 2px solid #ffffff;
}

.fa-whatsapp {
  font-size: 2em;
  color: #fff;
}

.fa-whatsapp a {
  text-decoration: none;
}

/* Sub-Menu*/
.submenu {
  margin-top: 45px;
  height: 40px;
  background-color: #f9f9f9;
}

.submenus {
  padding-top: 5px;
}

.submenus a {
  color: #333333;
  font-size: 0.8em;
  text-decoration: none;
}

.submenus a:hover {
  color: #1b1b1b;
  font-size: 0.8em;
  text-decoration: none;
}

.submenus span {
  color: #a2a2a2;
  font-size: 0.7em;
  text-decoration: none;
}

.submenus .fa-chevron-right {
  color: #929292;
  font-size: 0.7em;
  padding-top: 10px;
}


/* Modal */
.modal-header {
  background-color: #00a69c;
}

.modal-header .fas {
  color: #f26c3b;
}

.modal-header h5 {
  font-weight: bold;
  color: #ffffff;
}

.modal-header .btn-close {
  color: #fff;
  background-color: #fff;
}

.modal-body {
  line-height: 35px;
}

.modal-body a {
  text-decoration: none;
  color: #044e49;
  font-weight: 600;
  font-size: 1em;
} 

.modal-body p {
  font-size: 1.2em;
  font-weight: bold;
  color: #f26c3b;
  margin-bottom: 5px;
}

.fade {
  background-color: rgba(0, 0, 0, 0.747);
}

/* Responsive Tablet, TelemÃŗvel e Tablet */
@media screen and (max-width: 970px) {
  .wrapper .btn {
    display: block;
    color: #fff;
    margin-top: 8px;
  }

  .wrapper .fa-times {
    color: #fff;
  }

  .wrapper .logo img {
    margin-top: -10px;
    width: 150px;
  }

  nav .wrapper {
    padding: 0px 10px;
  }

  .wrapper .nav-links {
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 360px;
    top: 0;
    left: -100%;
    background: #242526;
    display: block;
    padding: 40px 5px;
    line-height: 50px;
    overflow-y: auto;
    box-shadow: 0px 15px 15px rgba(0, 0, 0, 0.18);
    transition: all 0.3s ease;
  }

  /* custom scroll bar */
  ::-webkit-scrollbar {
    width: 10px;
  }

  ::-webkit-scrollbar-track {
    background: #242526;
  }

  ::-webkit-scrollbar-thumb {
    background: #3A3B3C;
  }

  #menu-btn:checked~.nav-links {
    left: 0%;
  }

  #menu-btn:checked~.btn.menu-btn {
    display: none;
  }

  #close-btn:checked~.btn.menu-btn {
    display: block;
  }

  .nav-links li {
    margin: 15px 0px;
  }

  .nav-links li a {
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }

  .nav-links .drop-menu {
    position: static;
    opacity: 1;
    top: 65px;
    visibility: visible;
    padding-left: 20px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    transition: all 0.3s ease;
  }

  #showDrop:checked~.drop-menu,
  #showMega:checked~.mega-box {
    max-height: 100%;
  }

  .nav-links .desktop-item {
    display: none;
  }

  .nav-links .mobile-item {
    display: block;
    color: #f2f2f2;
    font-size: 20px;
    font-weight: 500;
    padding-left: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }

  .nav-links .mobile-item:hover {
    background: #3A3B3C;
  }

  .drop-menu li {
    margin: 0;
  }

  .drop-menu li a {
    border-radius: 5px;
    font-size: 18px;
  }

  .mega-box {
    position: static;
    top: 65px;
    opacity: 1;
    visibility: visible;
    padding: 0 20px;
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
  }

  .content .menus img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    margin-left: -10px;
  }

  .content .menus header {
    color: #f26c3b;
    font-size: 20px;
    font-weight: 500;
    margin-left: -10px;
  }

  .mega-box .content {
    box-shadow: none;
    flex-direction: column;
    padding: 10px 0px 0 20px;
  }

  .mega-box .content .menus {
    width: 100%;
    margin-bottom: 15px;
    border-top: 1px solid rgba(255, 255, 255, 0.08);
  }

  .mega-box .content .menus:nth-child(1),
  .mega-box .content .menus:nth-child(2) {
    border-top: 0px;
  }

  .content .menus .mega-links {
    border-left: 0px;
    padding-left: 15px;
  }

  .menus .mega-links li {
    margin: 0;
  }

  .menus .mega-links li a {
    padding: 0 15px;
    color: #000000;
    font-size: 1em;
  }

  .content .menus header {
    font-size: 1.2em;
  }

  .cliente a {
    font-size: .8em;
    background-color: #f26c3b;
    padding: 10px;
    border-radius: 5px;
    border: 1.5px solid #fff;
    color: #fff;
    font-weight: 600;
    text-decoration: none;
    margin-left: 20px;
  }
}

nav input {
  display: none;
}

/* Para Telemóvel e Tablet */
@media(max-width: 768px) {


  /* Rodapé */
  footer {
    background-color: #000000;
    height: 760px;
  }

  .rodape {
    margin-top: 30px;
  }

  .rodape img {
    width: 200px;
    margin-top: -10px;
  }

  .rodape .morada {
    padding-top: 20px;
    color: #fff;
    font-size: .9em;
  }

  .rodape h4 {
    font-size: 18px;
    color: #ffffff;
    margin-bottom: 30px;
    font-weight: 600;
    position: relative;
  }

  .rodape p {
    margin-top: -10px;
  }

  .rodape p a {
    text-decoration: none;
    color: #fff;
    font-size: .9em;
    font-weight: 550;
  }

  .rodape p a:hover {
    color: #f26c3b;
  }

  .rodape h4::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: -10px;
    background-color: #00a69c;
    height: 5px;
    box-sizing: border-box;
    width: 30px;
  }

  .rodape .social-links a {
    display: inline-block;
    height: 35px;
    width: 35px;
    background-color: #f26c3b;
    margin: 0px;
    text-align: center;
    line-height: 35px;
    border-radius: 50%;
    color: #ffffff;
    transition: all 0.5s ease;
  }

  .rodape .social-links a:hover {
    color: #000000;
    background-color: #ffffff;
  }

  .baixe {
    display: flex;
  }

  .baixe img {
    width: 110px;
    padding-right: 10px;
  }

  .autoria {
    border-top: 1px solid #7d908f;
    margin-top: 30px;
  }

  .autoria p {
    color: #FFF;
    padding-top: 20px;
    padding-bottom: 20px;
    text-align: center;
    font-size: .9em;
  }

  /* Sub-Menu*/
  .submenu {
    margin-top: 45px;
    height: 40px;
  }

  .submenus {
    padding-top: 5px;
  }

}